SOSGet (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.sos.SOSGet class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.sos
Class SOSGet

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.sos.SOS
                  org.apache.tools.ant.taskdefs.optional.sos.SOSGet

public class SOSGet
extends SOS

Retrieves a read-only copy of the specified project or file from Visual SourceSafe via a SourceOffSite server.

The following attributes are interpretted:

Attribute | Values | Required
--- | --- | ---
soscmddir | Directory which contains soscmd(.exe) soscmd(.exe) must be in the path if this is not specified | No
vssserverpath | path to the srcsafe.ini - eg. \\server\vss\srcsafe.ini | Yes
sosserverpath | address and port of the SOS server - eg. 192.168.0.1:8888 | Yes
projectpath | SourceSafe project path without the "$" | Yes
file | Filename to act upon If no file is specified then act upon the project | No
username | SourceSafe username | Yes
password | SourceSafe password | No
localpath | Override the working directory and get to the specified path | No
soshome | The path to the SourceOffSite home directory | No
nocompression | true or false - disable compression | No
recursive | true or false - Only works with the GetProject command | No
version | a version number to get - Only works with the GetFile command | No
label | a label version to get - Only works with the GetProject command | No
nocache | true or false - Only needed if SOSHOME is set as an enviroment variable | No
verbose | true or false - Status messages are displayed | No

Author:
  Jesse Stockall

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`SOSGet()`

Method Summary
`protected Commandline` | `buildCmdLine()` Build the command line GetFile required parameters: -server -name -password -database -project -file GetFile optional parameters: -workdir -revision -verbose -nocache -nocompression -soshome GetProject required parameters: -server -name -password -database -project GetProject optional parameters: -label -workdir -recursive -verbose -nocache -nocompression -soshome
`void` | `execute()` Executes the task.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.sos.SOS
`getComment, getFilename, getLabel, getLocalPath, getNoCache, getNoCompress, getPassword, getProjectPath, getRecursive, getSosCommand, getSosHome, getSosServerPath, getUsername, getVerbose, getVersion, getVssServerPath, run, setComment, setFile, setLabel, setLocalPath, setNoCache, setNoCompress, setPassword, setProjectPath, setRecursive, setSosCmd, setSosHome, setSosServerPath, setUsername, setVerbose, setVersion, setVssServerPath`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOSGet

    public SOSGet()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Executes the task.
  Builds a command line to execute soscmd and then calls Exec's run method to execute the command line.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - Description of Exception

### buildCmdLine

    protected Commandline buildCmdLine()

  Build the command line
  GetFile required parameters: -server -name -password -database -project -file
  GetFile optional parameters: -workdir -revision -verbose -nocache -nocompression -soshome
  GetProject required parameters: -server -name -password -database -project
  GetProject optional parameters: -label -workdir -recursive -verbose -nocache -nocompression -soshome

  Returns:
    Commandline the generated command to be executed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.